Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ltk.core.refactoring.participants
Class MoveArguments

    java.lang.Object
      org.eclipse.ltk.core.refactoring.participants.RefactoringArguments
          org.eclipse.ltk.core.refactoring.participants.MoveArguments

public class MoveArguments
extends RefactoringArguments

Move arguments describe the data that a processor provides to its move participants.

This class is not intended to be subclassed by clients.

Since:
  3.0

Constructor Summary
`MoveArguments(Object destination, boolean updateReferences)` Creates new rename arguments.

Method Summary
`Object` | `getDestination()` Returns the destination of the move
`boolean` | `getUpdateReferences()` Returns whether reference updating is requested or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MoveArguments

    public MoveArguments(Object destination,
                         boolean updateReferences)

  Creates new rename arguments.

Parameters:
  `destination` - the destination of the move
  `updateReferences` - `true` if reference updating is requested; `false` otherwise

Method Detail

### getDestination

    public Object getDestination()

  Returns the destination of the move

  Returns:
    the move's destination

### getUpdateReferences

    public boolean getUpdateReferences()

  Returns whether reference updating is requested or not.

  Returns:
    returns `true` if reference updating is requested; `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.